Subject: Re: bug#5054: Asynchronous vc-bzr-diff (Man truncated)

From: Juri Linkov <[email-masked]>
Date: Tue, 12 Jan 2010 22:46:19 +0200

> But maybe this part should be written separately so that other packages
> waiting for the completion of asynchronous processes could use it too.

It seems the bzr vc backend needs the same treatment.

When `vc-diff' reports that there are no differences, then vc
displays the *vc-diff* buffer with a single line in it:

  No changes between working revision and workfile.

bzr's behavior differs from the git backend that doesn't display the
*vc-diff* buffer.  It displays this line only in the echo area.

I understand that there is such a difference between bzr and git
vc backends because bzr is slower than git and so needs man.el-like
behavior that waits for the completion of the asynchronous process.

-- 
Juri Linkov
http://www.jurta.org/emacs/